unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ParadoxDSNCreateUnit, StdCtrls, Db, DBTables, Grids, DBGrids;

type
  TMainForm = class(TForm)
    btnGo: TButton;
    Table1: TTable;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    btnDelete: TButton;
    btnModify: TButton;
    PDoxDSN: TParadoxDSNCreator;
    procedure btnGoClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnDeleteClick(Sender: TObject);
    procedure btnModifyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;
  AppPath : AnsiString;

implementation

{$R *.DFM}

procedure TMainForm.btnGoClick(Sender: TObject);
begin
  AppPath := ExtractFilePath(ParamStr(0));
  if AppPath[Length(AppPath)] <>'\' then AppPath := AppPath + '\';
  // all these properties are settable from the IDE inspector/
  // property editor, just here for demo purposes
  PDoxDSN.Action := ADD_SYS_DSN;
  PDoxDSN.DSNNameOrAlias := 'GwaccRuntimeDSN';
  PDoxDSN.DSNUserDescription := 'GwaccTestRuntimeDSN';
  PDoxDSN.DatabaseDir := AppPath+'Database';
  PDoxDSN.NetFilePath := 'c:\'; // path to 'pdoxusrs.net' file
  PDoxDSN.UserID := 'admin'; // not really necessary
  PDoxDSN.optNetVersion := NetVersion3x;
  PDoxDSN.optParadoxVersion := Paradox5x;
  PDoxDSN.optCollateSequence := ASCII;
  if PDoxDSN.Execute then
  begin
     ShowMessage('DSN Created Successfully');
     Table1.DatabaseName := PDoxDSN.DSNNameOrAlias;
     Table1.TableName := 'agents.db';
     Table1.Open;
  end
  else ShowMessage('DSN Creation Failed');
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Table1.Close;
end;

procedure TMainForm.btnDeleteClick(Sender: TObject);
begin
  PDoxDSN.Action := REMOVE_SYS_DSN;
  PDoxDSN.DSNNameOrAlias := 'GwaccRuntimeDSN';
  if PDoxDSN.Execute then
  begin
     ShowMessage('DSN Deleted');
     Application.ProcessMessages; // make sure the DSN is removed
     Table1.Close; // necessary when trying to open table again
     Table1.Open;
  end
  else ShowMessage('DSN Removal Failed');
end;

procedure TMainForm.btnModifyClick(Sender: TObject);
begin
  PDoxDSN.DSNUserDescription := 'TestModifyDSN';
  PDoxDSN.optNetVersion := NetVersion3x;
  PDoxDSN.optParadoxVersion := Paradox5x;
  if PDoxDSN.Execute then
  begin
     ShowMessage('DSN Modified Successfully');
     Table1.Open;
  end
  else ShowMessage('DSN Modification Failed');
end;

end.
